<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h3><strong>Drive through payment zones / Tolls </strong></h3>
                    <div class="fm-row">
                      <div class="row">
                        <div class="col-sm-3">
                                <input [(ngModel)] ="paymentzone_name" name ="paymentzone_name" (keydown.enter)="getPaymentZone(item.value)"  type="text"  #item class="form-control input-sm-3" placeholder="Search For Payment Zone / Tolls"/>
                            </div>
                        <div class="col-sm-9 text-right">
                            <button type="get" (click)="getPaymentZone(item.value);"class="btn btn-sm btn-primary blue"><i aria-hidden="true" class="fa fa-search" ></i> Search</button>
                            <button class="btn btn-sm btn-primary green" (click)="refetchPaymentZone()"><i aria-hidden="true" class="fa fa-refresh" ></i> Refresh</button>
                            <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser" ></i> Reset filters</button>
                            <ng-container *ngIf="aclAdd">
                                <button type="submit" class="btn btn-primary btn-sm blue"  [routerLink]="['/admin/administration/payment-zone/add']" >Add new record</button>
                            </ng-container>
                        </div>
                      </div>
                    </div>
                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table aria-describedby="Drive through payment zones / Tolls" class="table table-striped table-bordered table-responsive">
                                <thead>
                                <tr>
                                    <th scope="col" (click)="sort('unique_id')">Id
                                            <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='unique_id' }"></i>
                                              <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='unique_id' }"></i>
                                            </span>
                                          </th>
                                  <th scope="col" (click)="sort('name')">Name
                                    <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                                    </span>
                                  </th>
                                  <th scope="col">Company</th>
                                  <th scope="col">Zone Type</th>
                                  <th scope="col">Price</th>
                                  <th scope="col">Payment Extras</th>
                                  <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <span *ngIf="searchLoader">
                                        <img alt="loader" src="assets/img/loader.gif" class="loader-img"/>
                                    </span>
                                <tr *ngFor="let payment_zone of paymentZoneData">
                                        <td>{{payment_zone.unique_id}}</td>
                                        <td>{{payment_zone.name}} </td>
                                        <td>{{payment_zone.company}} </td>
                                        <td>{{payment_zone.zone_type}}</td>
                                        <td>{{payment_zone.rate?payment_zone.rate:'NA'}} </td>
                                        <td><span *ngFor="let payment_extra of payment_zone.payment_extra;let i = index">
                                        {{payment_extra.payment_extra}} <span *ngIf="i < (payment_zone.payment_extra.length-1) ">,</span>
                                        </span>
                                        </td>
                                        <td *ngIf="aclEdit || aclDelete">
                                        <span *ngIf="aclEdit" matTooltip="Zone Surface">
                                            <a [routerLink] = "['/admin/administration/payment-zone/viewzone', payment_zone._id]"><i aria-hidden="true" class="fa fa-file-o text-navy"  ></i></a>&nbsp;&nbsp;&nbsp;
                                        </span>
                                        <span *ngIf="aclDelete" matTooltip="Delete">
                                            <a (click)="deletePaymentZone(payment_zone._id)"><i aria-hidden="true" class="fa fa-trash text-navy"  ></i> </a>
                                        </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <br>

                        <div class="container-fluid" *ngIf="paymentZoneLength>0">
                            <div class="row">
                                <div class="cols-md-12 text-center dataTables_info1">

                                    <div>
                                        <ngb-pagination [collectionSize]="paymentZoneLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                        aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                    </div>
                                </div>
                            </div>
                        </div>
                            <div class="container-fluid" *ngIf="paymentZoneLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
